RDATE(8)

NAME
rdate - set the system's date from a remote host

SYNOPSIS
rdate [-46acnpsv] host

DESCRIPTION
rdate displays and sets the local date and time from the host name or address given as the argument. The time source may be an RFC 868 TCP protocol server, which is usually implemented as a built-in service of inetd(8), or an RFC 2030 protocol SNTP/NTP server. By default, rdate uses the RFC 868 TCP protocol.

The options are as follows:

-4  Forces rdate to use IPv4 addresses only.

-6  Forces rdate to use IPv6 addresses only.

-a  Use the adjtime(2) call to gradually skew the local time to the remote time rather than just hopping.

-c  Correct leap seconds. This should be used only when synchronizing to a server which does not correctly account for leap seconds.

-n  Use SNTP (RFC 2030) instead of the RFC 868 time protocol.

-p  Do not set, just print the remote time.

-s  Do not print the time.

-v  Verbose output. Always show the adjustment.

FILES
/var/log/wtmp
    record of date resets and time changes

EXAMPLES
To get the legal time in Germany, set the /etc/localtime symlink to /usr/share/zoneinfo/right/Europe/Berlin and issue the following command:

    # rdate -nv ptbtime1.ptb.de

The command of course assumes you have a working internet connection and DNS set up to connect to the server at Physikalisch-Technische Bundesanstalt in Braunschweig, Germany.

SEE ALSO
date(1), adjtime(2), inetd(8), ntpd(8)